function [T2,p2,V2,dU,dW,dQ,dS,pv,Vv,Sv,Tv]= adiab(T1,p1,V1,kap,efall,wert,points )
%Berechnet die  Ergebnisse eines adiabatischen schrittes

  switch efall
      case 3
         V2=wert;
         
         p2=p1*(V1/V2)^kap;
         T2=T1*(V1/V2)^(kap-1);
      case 2
         p2=wert;
         
         V2=V1*(p1/p2)^(1/kap);
         T2=T1*(p1/p2)^((1-kap)/kap);
      case 1
         T2=wert;
         
         V2=V1*(T1/T2)^(1/(kap-1));
         p2=p1*(T1/T2)^(kap/(1-kap)); 
      otherwise
          error('falsche variable');
  end
  
  %Arbeit
  dW=1/(kap-1)*(p2*V2-p1*V1);
  
  %Innere Energie
  dU=dW; 
  
  %Waerme
  dQ=0;
  
  %Entropie
  dS=0;
  
  %Darstellungen
  %pv
  pv=linspace(p1,p2,points);  
  Vv=V1*(p1./pv).^(1/kap);
  
  
  %TS
  Sv=zeros(1,points);
  Tv=T1*(p1./pv).^(1/kap-1);
  
end

