function [T2,p2,V2,dU,dW,dQ,dS,pv,Vv,Sv,Tv]= poly(T1,p1,V1,gam,cv,efall,wert,points )
%Berechnung eines polytropen Schrittes
  R=8.314;
  kap=gam;
  switch efall
      case 3
         V2=wert;
         
         p2=p1*(V1/V2)^kap;
         T2=T1*(V1/V2)^(kap-1);
      case 2
         p2=wert;
         
         V2=V1*(p1/p2)^(1/kap);
         T2=T1*(p1/p2)^(1/kap-1);
      case 1
         T2=wert;
         
         V2=V1*(T1/T2)^(1/(kap-1));
         p2=p1*(T1/T2)^(kap/(1-kap));  
               
      otherwise
          error('falsche variable');
  end
  
  
  pv=linspace(p1,p2,points);  
  Vv=V1*(p1./pv).^(1/kap);
  Tv=T1*(V1./Vv).^(kap-1);

  
  %Arbeit
  dW=1/(kap-1)*(p2*V2-p1*V1);

  
  %Innere Energie
  dU=p1*V1/R/T1*cv*(T2-T1); 

  
  %Waerme
  dQ=dU-dW;
  
  
  %T-S - Diagramm
  Sv=p1*V1/R/T1*cv*log(Tv/T1)+p1*V1/R/T1*R*log(Vv/V1);
  
 
  %Entropie
  dS=Sv(end);
  
  
end

